Bug 1827375 - Multus namespaceIsolation should allow references to CRD in the default namespace
Summary: Multus namespaceIsolation should allow references to CRD in the default names...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.4
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.4.z
Assignee: Douglas Smith
QA Contact: Weibin Liang
URL:
Whiteboard: SDN-CI-IMPACT,SDN-BP
Depends On: 1827377
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-04-23 18:52 UTC by Douglas Smith
Modified: 2020-05-26 16:50 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1827377 (view as bug list)
Environment:
Last Closed: 2020-05-26 16:50:32 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift multus-cni pull 61 None closed Bug 1827375: Allows allow pods in any namespace refer to net-attach-defs in default namespace 2020-06-18 13:39:35 UTC
Red Hat Product Errata RHBA-2020:2180 None None None 2020-05-26 16:50:45 UTC

Description Douglas Smith 2020-04-23 18:52:51 UTC
Multus CNI when using namespaceIsolation prevents pods from accessing NetworkAttachmentDefinitions outside of the namespace of a pod where that net-attach-def is referenced (via annotation). 

The proposed fix to to allow pods to reference the default namespace from any given namespace. Therefore, if you had a configuration named "macvlan-conf" and had stored it in the default namespace, you could reference it from an annotation (from either within or outside of the default namespace) as "default/macvlan-conf".

The current provides to be painful for users at time. One current such case is that when integrating with Istio (in a non-chained-cni-plugin-mode) users must create NetworkAttachmentDefinition in every namespace which uses Istio.

This may also prove useful in other scenarios where you have commonly used net-attach-def that may be inconvenient to create in a number of different namespaces.

Comment 3 Weibin Liang 2020-05-18 14:52:46 UTC
Tested and verified in 4.4.0-0.nightly-2020-05-18-115348

Comment 5 errata-xmlrpc 2020-05-26 16:50:32 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:2180


Note You need to log in before you can comment on or make changes to this bug.